Subject: Re: undefined reference to `GetStockObject@4' ??
From: [email-masked] (Jerry Cable)

24 Mar 1998 19:14:48 -0800
Message-ID: <01bd53f9$fe1086e0$597f9ecf.cygnus.gnu-win32@tornado>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "gnu-win32 mailing list" <[email-masked]>

Jason,

I'm no Windows programming expert, but I believe the library definition
you're missing is gdi32 (-lgdi32). I'm sure others on the mailing list will
be able to confirm or deny this. Anyway, give it a try - couldn't hurt!

Jerry

-----Original Message-----
From: Jason Dagit <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Thursday, March 19, 1998 11:37 PM
Subject: undefined reference to `GetStockObject@4' ??

>Hello,
>
>I'm a still a newbie and I'm still having troubles.  Could someone help
>me figure out why gcc can't find GetStockObject on my configuration?
>The command line I use is:
>gcc -ofoo.exe foo.c -lkernel32 -luser32 -Wl,--subsystem,windows
>
>My guess is that I'm not linking a lib that I should be.  Or else, one
>of my header files or libs is missing the definition of GetStockObject,
>but that seems less likely.
>
>The line in my code that called GetStockObject is:
>wc.hbrBackground = (HBRUSH) GetStockObject(WHITE_BRUSH);
>
>Thank you,
>Jason

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".